
Application: gvSIG desktop - gvSIG bugs #1177
Can't load a WCS layer
09/26/2012 02:37 PM - Manuel Madrid

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: Raster
Target version: 2.0.0-rc4
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2055 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

1. Run gvSIG
2. Create and open a view
3. Add layer -> WCS
4. Input the URL: "http://www.idee.es/wcs/IDEE-WCS-UTM31N/wcsServlet" 
5. Press "Next". Get an error.

I'm attaching the log file.

History
#1 - 10/22/2012 10:04 AM - Manuel Madrid
- Priority changed from Normal to Urgent

#2 - 11/07/2012 10:03 AM - Joaquín  del Cerro Murciano
- Category set to Raster
- Assignee set to Ignacio Brodín

#3 - 11/15/2012 04:30 PM - Ignacio Brodín
- Status changed from New to Fixed

gvsig-desktop:r39272
gvsig-raster:r1355

#4 - 11/26/2012 10:49 AM - María Maluenda
- File gvSIG-environ.info added
- Status changed from Fixed to New

Now, connect to this WCS 'http://www.idee.es/wcs/IDEE-WCS-UTM31N/wcsServlet' is not possible. Tested in the gvSIG build 2059-beta2. Attached
environ.info

#5 - 12/05/2012 05:50 PM - Ignacio Brodín
- Status changed from New to Fixed

This server don't return some layers. When that happens, the server send to the user a error message. Now the message appears in a window in
gvSIG.

The message is: EL SERVIDOR IDEE-WCS-UTM31N NO HA PODIDO ATENDER SU PETICION.

Can you test it with other client? Maybe Udig or other. Comment the result in this ticket please.

#6 - 12/18/2012 09:58 AM - Abenchara Socorro
- Status changed from Fixed to New
- Target version changed from 2.0.0-rc1 to 2.0.0-final

Steps followed:
1. Run gvSIG
2. Create and open a view
3. Add layer -> WCS
4. You have two options by default (a and b):
a.- No problems with: "http://inspire.cop.gva.es/mapserver/wcs" 
    -  Nules-Burriana
    -  GEOTIFF_INT16
    -  EPSG:23030
    -  Next ->Accept
b.- Appears an error window with: "http://maps.gdal.org/cgi-bin/mapserv_dem" 
    -  "Error conectando con el servidor: Server returned HTTP response code: 503 for URL 
http://maps.gdal.org/cgi-bin/mapserv_dem?REQUEST=GetCapabilities&#38;SERVICE=WCS&#38;EXCEPTIONS=XML
c.- "http://www.idee.es/wcs/IDEE-WCS-UTM31N/wcsServlet" 
    -  Activate checbox Mostrar nombres de capas -> Next
    -  MDT25 Orientaciones Baleares
    -  Choose GeoTIFF, EPSG:23030
    -  Accept

There is no response in option 'c', not even for the rest of the layers available (MDT25 Pendientes Baleares, MDT25 Alturas Baleares)

#7 - 12/19/2012 02:10 PM - Manuel Madrid
- Target version changed from 2.0.0-final to 2.0.0-rc3

#8 - 12/24/2012 11:47 AM - Ignacio Brodín
- Status changed from New to Awaiting response

The server b is unavailable and I cannot load any layers from the server c using gvSIG 1.x or 2.x. This server always answer

<ServiceExceptionReport version="1.1.0">
  <ServiceException>
      EL SERVIDOR IDEE-WCS-UTM31N NO HA PODIDO ATENDER SU PETICION.
  </ServiceException>
</ServiceExceptionReport>
http://maps.gdal.org/cgi-bin/mapserv_dem?REQUEST=GetCapabilities&#38;SERVICE=WCS&#38;EXCEPTIONS=XML


#9 - 12/26/2012 10:43 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.0.0-rc3 to 2.0.0-final

#10 - 01/11/2013 10:32 AM - Manuel Madrid
- Status changed from Awaiting response to Closed
- Target version changed from 2.0.0-final to 2.0.0-rc4

Files
gvSIG.log 209 KB 09/26/2012 Manuel Madrid
gvSIG-environ.info 6.4 KB 11/26/2012 María Maluenda
